routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

Route::get('/', function () {
	$listCompany = App\company::all();
	return view('welcome', ['listCompany ' => $listCompany]);
});

Auth::routes();

Route::get('/home', function () {
	$listCompany = App\company::all();
	$listSucursales = App\branch_office::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('home', ['listCompany' => $listCompany,
		'listSucursales' => $listSucursales,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
		'message' => '',
	]);
})->middleware(['auth']);

//eventList

Route::resource('clients', 'ClientsController')->middleware(['auth']);
Route::resource('sucursales', 'SucursalesController')->middleware(['auth']);
Route::resource('company', 'CompanyController')->middleware(['auth']);
Route::resource('branchOffice', 'BranchOfficeController')->middleware(['auth']);
Route::resource('failedJobs', 'FailedJobsController')->middleware(['auth']);
Route::resource('files', 'FilesController')->middleware(['auth']);
Route::resource('status', 'StatusController')->middleware(['auth']);
Route::resource('task', 'TaskController')->middleware(['auth']);
Route::resource('typeUser', 'TypeUserController')->middleware(['auth']);
Route::resource('visitDetail', 'VisitDetailController')->middleware(['auth']);
Route::resource('visitsPlanning', 'VisitsPlaningController')->middleware(['auth']);
Route::get('/aprobador', 'visitasController@aprobador')->name('aprobador')->middleware(['auth']);
Route::DELETE('/aprobadordestroy/{id}', 'visitasController@borrarVisita')->name('aprobadorborrar')->middleware(['auth']);
Route::get('/siaprobador/{id}', 'visitasController@aprobarVisita')->name('siaprobador')->middleware(['auth']);

//route company form
Route::get('/company', function () {
	$listCompany = App\company::all();
	$list = App\company::all();
	$listStatus = App\statuscompany::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/company/index', [
		'list' => $list,
		'listStatus' => $listStatus,
		'listCompany' => $listCompany,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('companyIndex');

Route::post('/company.store', function (Request $request) {
	$company = new App\company;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$rut = $_POST['rut'];
	$telefono = $_POST['telefono'];
	$direccion = $_POST['direccion'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($rut < 1) {
		$error = 1;
	}

	if ($telefono < 1) {
		$error = 1;
	}

	if (strlen($direccion) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$company->name = $nombre;
		$company->status = $estado;
		$company->rut = $rut;
		$company->address = $direccion;
		$company->phone = $telefono;
		$company->save();

		return response()->json([
			'message' => 'Empresa registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Empresa no pudo ser registrada',
		]);
	}
});

Route::post('/sucursales.store', function (Request $request) {
	$sucursal = new App\sucursales;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$rut = $_POST['rut'];
	$telefono = $_POST['telefono'];
	$direccion = $_POST['direccion'];
	$empresa = $_POST['empresa'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($rut < 1) {
		$error = 1;
	}

	if ($telefono < 1) {
		$error = 1;
	}

	if (strlen($direccion) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$sucursal->name = $nombre;
		$sucursal->status = $estado;
		$sucursal->rut = $rut;
		$sucursal->address = $direccion;
		$sucursal->phone = $telefono;
		$sucursal->company_id = $empresa;
		$sucursal->save();

		return response()->json([
			'message' => 'Sucursal registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Sucursal no pudo ser registrada',
		]);
	}
});

Route::post('/clients.store', function (Request $request) {
	$usuario = new App\User;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$email = $_POST['email'];

	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if (strlen($email) < 1) {
		$error = 1;
	}

	if ($error == 0) {
		$usuario->name = $nombre;
		$usuario->status = $estado;
		$usuario->email = $email;
		$usuario->password = '$2y$10$7Bd9ehSpuSC3tJkOOIqsXuQWkedD978mjG.nXokW./RqlndU/URTC';

		$usuario->save();

		return response()->json([
			'message' => 'Usuario registrado con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Usuario no pudo ser registrado',
		]);
	}
});

Route::get('/task.destroy/{id}', 'TaskController@borrarTareaDay')->name('taskDelete');

Route::post('/task.store', function (Request $request) {
	$task = new App\task;
	$nombre = $_POST['nombre'];
	$estado = $_POST['estado'];
	$error = 0;

	if (strlen($nombre) < 1) {
		$error = 1;
	}

	if ($estado < 0) {
		$error = 1;
	}

	if ($error == 0) {
		$task->name = $nombre;
		$task->status = $estado;
		$task->save();

		return response()->json([
			'message' => 'Tarea registrada con exito',
		]);
	} else {
		return response()->json([
			'message' => 'Tarea no pudo ser registrada',
		]);
	}
});

Route::get('sucursalesByCompany/{id}', 'BranchOfficeController@byCompany');

Route::get('tareaNueva/{name}', 'TaskController@nueva');

Route::get('tareaBorrar/{name}', 'TaskController@borrar');

Route::get('/tareaBorrarSucursal/{name}', 'TaskController@borrarSucursal');

Route::post('/taskNueva.store', function (Request $request) {
	$taskday = new App\task_day;
	$id = $_POST['tareaNueva'];

	return response()->json([
		'message' => 'Tarea insertada con exito',
	]);
});

Route::get('sucursalNueva/{id}', 'VisitsPlaningController@nueva');

//route client form
//Route::get('/client', function () {
//	return View('system/client/index');
//})->middleware(['auth'])->name('clientIndex');

//route task form
Route::get('/task', function () {
	$listCompany = App\company::all();
	$list = App\company::all();
	$listStatus = App\statuscompany::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/task/index', [
		'list' => $list,
		'listStatus' => $listStatus,
		'listCompany' => $listCompany,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('taskIndex');

Route::get('/event', function () {
	return View('system/event/index');
})->middleware(['auth'])->name('eventIndex');

Route::get('/visitas', 'visitasController@index')->middleware(['auth'])->name('visitsIndex');
Route::post('/visitas', 'visitasController@show')->middleware(['auth']);

Route::get('/visitas/list', function () {
	$listCompany = App\company::all();
	$listSucursales = App\branch_office::all();
	$listUsers = App\User::all();
	$listTask = App\task::all();
	$userId = Auth::id();
	$listTaskDay = App\task_day::where('user', '=', $userId)->get();
	return View('system/visits/list', [
		'listCompany' => $listCompany,
		'listSucursales' => $listSucursales,
		'listUsers' => $listUsers,
		'listTask' => $listTask,
		'listTaskDay' => $listTaskDay,
	]);
})->middleware(['auth'])->name('eventList');

resources/views/menus/header.blade.php
<div class="az-header">
        <div class="container-fluid">
          <div class="az-header-left">
            <a href="" id="azSidebarToggle" class="az-header-menu-icon"><span></span></a>
          </div><!-- az-header-left -->
          <div class="az-header-center">

          </div><!-- az-header-center -->
          <div class="az-header-right">


            <div class="dropdown az-profile-menu">
              <a href="" class="az-img-user"><img src="https://via.placeholder.com/500" alt=""></a>
              <div class="dropdown-menu">
                <div class="az-dropdown-header d-sm-none">
                  <a href="" class="az-header-arrow"><i class="icon ion-md-arrow-back"></i></a>
                </div>
                <div class="az-header-profile">
                  <div class="az-img-user">
                    <img src="https://via.placeholder.com/500" alt="">
                  </div><!-- az-img-user -->
                  <h6>Aziana Pechon</h6>
                  <span>Premium Member</span>
                </div><!-- az-header-profile -->

                <a href="" class="dropdown-item"><i class="typcn typcn-user-outline"></i> My Profile</a>
                <a href="" class="dropdown-item"><i class="typcn typcn-edit"></i> Edit Profile</a>
                <a href="" class="dropdown-item"><i class="typcn typcn-time"></i> Activity Logs</a>
                <a href="" class="dropdown-item"><i class="typcn typcn-cog-outline"></i> Account Settings</a>
                <a href="page-signin.html" class="dropdown-item"><i class="typcn typcn-power-outline"></i> Sign Out</a>
              </div><!-- dropdown-menu -->
            </div>
          </div><!-- az-header-right -->
        </div><!-- container -->
      </div><!-- az-header -->

resources/views/menus/locate_header.blade.php
<div class="az-content-header d-block d-md-flex">
  <div class="az-content-title mg-b-5 mg-b-lg-8">
    <h4 class="">{{$some}}</h4>
    <p class="mg-b-0">{{$location}}</p>
  </div>
  <div class="mg-b-2 mg-b-lg-4">
      <div class="col text-right ">
        @if(isset($type_acction))
            @if($type_acction == 'create')
              <!-- <a href="#" class="text-secondary"><i class="fas fa-plus-square fa-3x"></i>kjlk</a> -->
              <a href="#" class="text-secondary" data-toggle="modal" data-target="#create">
                <i class="fas fa-plus-square fa-3x"></i>
              </a>
            @endif
          @endif
      </div>
  </div>
</div>

resources/views/menus/sidebar.blade.php
<div class="az-sidebar-body">
        <ul class="nav">
          <li class="nav-label">Menu</li>
         <!--  <li class="nav-item ">
            <a href="" class="nav-link with-sub"><i class="typcn typcn-clipboard"></i>Eventos</a>
            <ul class="nav-sub">
              <li class="nav-sub-item"><a href="{{ route('eventIndex') }}" class="nav-sub-link">Cronograma</a></li>
            </ul>
          </li>nav-item -->
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i class="typcn typcn-document"></i>Visitas</a>
            <ul class="nav-sub">
              <li class="nav-sub-item">
                <a href="{{ route('visitsIndex') }}" class="nav-sub-link">Calendario</a>
              </li>
               <li class="nav-sub-item">
                <a href="{{ route('aprobador') }}" class="nav-sub-link">Aprobador</a>
              </li>
            </ul>
          </li><!-- nav-item -->
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i>Reportes</a>
            <ul class="nav-sub">
              <li class="nav-sub-item"><a href="{{ route('eventIndex') }}" class="nav-sub-link">Eventos</a></li>
              <li class="nav-sub-item"><a href="{{ route('eventList') }}" class="nav-sub-link">Visitas</a></li>
            </ul>
          </li><!-- nav-item -->
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i>Mantenedor</a>
            <ul class="nav-sub">
              <li class="nav-sub-item"><a href="{{ route('companyIndex') }}" class="nav-sub-link">Empresas</a></li>
              <li class="nav-sub-item"><a href="{{ route('sucursales.index') }}" class="nav-sub-link">Sucursales</a></li>
              <li class="nav-sub-item"><a href="{{ route('taskIndex') }}" class="nav-sub-link">Tareas</a></li>
              <li class="nav-sub-item"><a href="{{ route('clients.index') }}" class="nav-sub-link">Usuarios</a></li>

            </ul>
          </li><!-- nav-item -->
        </ul><!-- nav -->
      </div><!-- az-sidebar-body -->